Bug 905591 - Error while refreshing folder
Summary: Error while refreshing folder
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-mapi   
(Show other bugs)
Version: 6.4
Hardware: All
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: 960054 906341
TreeView+ depends on / blocked
 
Reported: 2013-01-29 17:48 UTC by Jiri Koten
Modified: 2015-09-28 02:14 UTC (History)
2 users (show)

Fixed In Version: evolution-mapi-0.32.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 05:09:52 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evolution-mapi-0.28.3-exchange2010-2.patch (6.72 KB, patch)
2013-01-30 13:06 UTC, Milan Crha
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1540 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-21 00:40:51 UTC

Description Jiri Koten 2013-01-29 17:48:21 UTC
Description of problem:
Evolution with Exchange MAPI account has a problem to refresh a folder after msg was moved/deleted from different client. 

Version-Release number of selected component (if applicable):
evolution-2.28.3-30.el6
evolution-mapi-0.28.3-11.el6
openchange-1.0-4.el6
samba4-libs-4.0.0-53.el6.rc4

How reproducible:
100%

Steps to Reproduce:
1. Start evolution
2. Send yourself a new msg 
3. Sync, e.g. Click Send/Receive
4. Read the msg, e.g. wait to download it and be marked as read
5. Close evolution
6. Delete the msg from different client. I have used owa web app.
7. Start evolution again 
  
Actual results:
Error while refreshing folder, msg is still present in the folder

Expected results:
No error, folder is updated - msg is no longer present 

Additional info:
Also when this happened, evolution also failed to send a new msg. I had to restart it again and click Send/Receive which seems to fix the issue, new msg was send and deleted msg was removed from the folder.

Comment 2 Milan Crha 2013-01-30 12:40:07 UTC
Two related upstream bug reports:

https://bugzilla.gnome.org/show_bug.cgi?id=608379
https://bugzilla.gnome.org/show_bug.cgi?id=653489

Comment 3 Milan Crha 2013-01-30 13:06:05 UTC
Created attachment 690374 [details]
evolution-mapi-0.28.3-exchange2010-2.patch

for evolution-mapi;

Backported the two upstream patches into one.

What happened here is that the QueryRows failed, the server returned MAPI_E_NOT_IMPLEMENTED (0x80040FFF), when evolution-mapi asked to query 0 (zero) rows from a table. This could happen when the folder didn't receive any new messages in the folder since the last fetch. Exchange 2007/2003 servers didn't suffer of this, but I agree with the change in the Exchange 2010 server, because it's useless to ask to query no rows.

Comment 5 Milan Crha 2013-05-09 10:24:56 UTC
Only the first upstream patch (see comment #2) is included in 0.32.2, the second didn't make it into that version, thus after bug #883017 lands, the patch at comment #3 will need adaptation (simplification).

Comment 11 errata-xmlrpc 2013-11-21 05:09:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html


Note You need to log in before you can comment on or make changes to this bug.